ImpressCMS ChangeLog
=== ImpressCMS 1.3.4 Final ===
Release Date: Dec 1, 2012
Revision: 12123
DB Version: 43
Build Version: 67

=== ImpressCMS 1.3.4 RC ===
Release Date: Nov 26 , 2012
Revision: 12121
DB Version: 43
Build Version: 66

=== ImpressCMS 1.3.3 Final ===
Release Date: Okt 4, 2012
Revision: 12065
DB Version: 65
Build Version: 65

=== ImpressCMS 1.3.3 Beta ===
Release date: July 2012
Revision: 11794
DB Version: 43
Build Version: 63

Changed
* Change in encryption methods - upgrading will expire all passwords and users will have to update them on next login

Fixed
* Pages with redirects were slow to load when gzip was enabled
* OpenID works on systems where /dev/urandom is not accessible
* LDAP authentication now works after fixing typos

=== ImpressCMS 2.0 Alpha 2 ===
Release date: June 2012
Revision: 11725
DB Version: 43
Build Version: 58 (62)

2nd alpha release - system module file/folder layout changes per IPF convention

=== ImpressCMS 1.3.2.1 Final ===
Release date: April 2012
Revision: 11721
DB Version: 42
Build Version: 60 (61)

Fixed
* Saving a system avatar for your profile

=== ImpressCMS 1.3.2 Final ===
Release date: April 2012
Revision: 11698
DB Version: 42
Build Version: 59 (60)

=== ImpressCMS 1.3.2 RC2 ===
Release date: April 2012
Revision: 11688
DB Version: 42
Build Version: 58 (59)

=== ImpressCMS 1.3.2 RC ===
Release date: March 2012
Revision: 11660
DB Version: 42
Build Version: 57 (58)

=== ImpressCMS 1.3.2 Beta ===
Release date: March 2012
Revision: 11636
DB Version: 42
Build Version: 56 (57)

Improved
* HTML Purifier updated to 4.4.0
* SimplePie updated to 1.2.1

Fixed
* Fixes in lost password and find user
* Database collation properly selected with newer versions of MySQL
* Search results

Details of this release are found on Assembla - http://impresscmsdev.assembla.com/spaces/impresscms/milestones/671493-impresscms-1-3-2

=== ImpressCMS 2.0 Alpha 1 ===
Release date: January 2012
Revision: 11535
DB Version: 42
Build Version: 55 (56) 

1st alpha release of 2.0 - removal of legacy code support

=== ImpressCMS 1.3.1 Final ===
Release date: 21 December 2011
Revision: 11506
DB Version: 41
Build Version: 55

Security Fix:
* Several security vulnerabilities reported by High-Tech Bridge SA Security Research Lab - HTB23064: https://www.htbridge.ch/advisory/multiple_vulnerabilities_in_impresscms.html

=== ImpressCMS 1.3.1 RC ===
Release date: 21 December 2011
Revision: 11502
DB Version: 41
Build Version: 53

Maintenance release...
Details of this release are found in the workspace on Assembla - http://impresscmsdev.assembla.com/spaces/impresscms/milestones/585713-impresscms-1-3-1

<-- Migrated to Assembla workspace and split the repository into core and addons -->

=== ImpressCMS 1.3 Final ===
Release date: 18 September 2011
Revision: 22698
DB Version: 41
Build Version: 50

A complete list of changes to this release series can be found here - http://sourceforge.net/apps/trac/impresscms/query?status=closed&group=component&order=priority&col=id&col=summary&col=milestone&col=status&col=type&col=priority&col=component&milestone=ImpressCMS+1.3

=== ImpressCMS 1.3 Release Candidate 2 ===
Release date: 1 September 2011
Revision: 22516
DB Version: 41
Build Version: 49

A complete list of changes to this release series can be found here - http://sourceforge.net/apps/trac/impresscms/query?status=closed&group=component&order=priority&col=id&col=summary&col=milestone&col=status&col=type&col=priority&col=component&milestone=ImpressCMS+1.3

=== ImpressCMS 1.3 Release Candidate ===
Release date: 19 July 2011
Revision: 22079
DB Version: 41
Build Version: 48

A complete list of changes to this release series can be found here - http://sourceforge.net/apps/trac/impresscms/query?status=closed&group=component&order=priority&col=id&col=summary&col=milestone&col=status&col=type&col=priority&col=component&milestone=ImpressCMS+1.3

=== ImpressCMS 1.3 Beta 2 ===
Release date: 3 May 2011
Revision: 21585
DB Version: 41
Build Version: 42 (should have been 45)

A complete list of changes to this release series can be found here - http://sourceforge.net/apps/trac/impresscms/query?status=closed&group=component&order=priority&col=id&col=summary&col=milestone&col=status&col=type&col=priority&col=component&milestone=ImpressCMS+1.3

Updated external libraries
* FCKeditor 2.6.6
* Wideimage 11.02.19
* HTML Purifier 4.3.0

=== ImpressCMS 1.3 Beta ===
Release date: 6 March 2011
Revision: 
DB Version: 41
Build Version: 42 (should have been 43)

List of changes to this release series can be found here - http://sourceforge.net/apps/trac/impresscms/query?status=closed&group=component&order=priority&col=id&col=summary&col=milestone&col=status&col=type&col=priority&col=component&milestone=ImpressCMS+1.3

* added preference setting to allow custom filters for HTMLPurifier preferences (forgot to add these in previous versions)

=== ImpressCMS 1.3 Alpha ===
Release date: 8 January 2011
Revision: 20660
DB Version: 41
Build Version: 42

Updated external libraries:
* jQuery 1.4.4

List of changes to this release can be found here - http://sourceforge.net/apps/trac/impresscms/query?status=closed&group=component&order=priority&col=id&col=summary&col=milestone&col=status&col=type&col=priority&col=component&milestone=ImpressCMS+1.3

Improvements:
* Code style standardized, excess whitespace removed
* PHP 5.3.x strict compliance
* Optimized database for performance
* Reduced number of queries
* Introduction of the icms library and class autoloading
* System menu hierarchy

Additions:
* reflex admin theme
* Control Panel block

=== ImpressCMS 1.2.5 Final ===
Release date: 03 May 2011
Revision: 21606
DB Version: 40
Build Version: 42 (should have been 44)

Security Fix: File Upload/Remote File inclusion possiblity related to upload function of FCKEditor. http://www.exploit-id.com/web-applications/impresscms-1-2-4_final-furfi-multiple-vulnerability

=== ImpressCMS 1.2.4 Final ===
Release date: 12 Dec 2010
Revision: 20606
DB Version: 40
Build Version: 41

=== ImpressCMS 1.2.3 Final ===
Release date: 15 Nov 2010
Revision: 20381
DB Version: 40
Build Version: 40

=== ImpressCMS 1.2.3 RC2 ===
Release date: 7 Nov 2010
Revision: 20306
DB Version: 40
Build Version: 39

=== ImpressCMS 1.2.3 RC ===
Release date: 24 Sep 2010
Revision: 20198
DB Version: 40
Build Version: 38

=== ImpressCMS 1.2.3 Beta ===
Release date: 17 Sep 2010
Revision: 20154
DB Version: 40
Build Version: 37

Maintenance release, addresses #462, #480 and #482, #493
Security Fix: Blind SQLi & Path disclosure in search.php & settingmanager (if install folder left on server)

=== ImpressCMS 1.2.2 Final ===
Release date: 17 July 2010
Revision: 19868
DB Version: 40
Build Version: 36

Addresses http://secunia.com/advisories/40522

=== ImpressCMS 1.2.1 Final ===
Release date: 14 Mar 2010
Revision: 19094
DB Version: 39
Build Version: 35

http://trac.impresscms.org/core/query?status=closed&group=resolution&milestone=ImpressCMS+1.2.1

=== ImpressCMS 1.2.1 RC ===
Release date: 1 Mar 2010
Revision: 9881
DB Version: 39
Build Version: 34

http://trac.impresscms.org/core/query?status=closed&group=resolution&milestone=ImpressCMS+1.2.1

Note: 	From this release forward, the detailed changelog will not be included with the 
		release package. The tickets are all in Trac and can easily be found and retrieved
		from there.
		
		The release notes will contain a summary of new features introduced, items that were 
		improved and any bugs from previous versions that were fixed. 

=== ImpressCMS 1.2.1 Beta ===
Release date: 11 Feb 2010
Revision: 9841
DB Version: 39
Build Version: 33

* #913: Fixing isue with Code / Pre tag (thomas)
* #874: Fixing error on Admin Installed Modules Block about calling a method from a non-object with annonymous users. (nekro)
* #875: Fixing error on Admin CP Block about calling a method from a non-object with annonymous users. (nekro)
* #876: Adding a default value for the field Weight of the blocks. (nekro)
* #806: Adding requited labels to block, blockposition and symlink objects. (nekro)
* #879: Removing rank images from the uploads folder. (nekro)
* #867: installer is now checking for PHP 5.3 (phoenyx)
* #878: fixed missing variable in user activision email (phoenyx)
* #662: fixed check for theme_use_smarty in footer.php (phoenyx)
* #905: XOBJ_DTYPE_STIME, XOBJ_DTYPE_MTIME, XOBJ_DTYPE_LTIME is now handled correctly (phoenyx)
* #907: Simplified inclusions in the image editor library (skenow)
* #402: changing encryption should not be possible when site is set to closed. (vaughan)

=== ImpressCMS 1.2 Final ===
Release date: 13 Dec 2009
Revision: 9648
DB Version: 38
Build Version: 32

* #862: Removing inclusion to deprecated sqlutility classes (malanciault)

=== ImpressCMS 1.2 RC2 ===
Release date: 6 Dec 2009
Revision: 9635
DB Version: 38
Build Version: 31

* #856: image manager allows illegal characters in the folder name of a new category (skenow)
* #843: Create a language constant for the update process (about permission for Plugins and Preload folders) (malanciault)
* #594: Problem with short URLs on TinyMCE (m0nty)
* #45: Debugger stops icmsfeed (malanciault)
* #623: Problems with tinyMCE : adding linebreaks again and again (malanciault)
* #624: TinyMCE editor, add text, linebreaks, etc, switch back to dhtmleditor: the input filed is full of html-tags (malanciault)
* #851: Wrong footer in ACP Themes (phoenyx)
* #838: Imagemanager: problems in update sites when there are images categories (realtherplima/skenow)
* #773: Installer images + text need updating (malanciault)
* #7: Built in Scheduled Task (cron tab) (MekDrop)
* #590: global rating tool (stranger)
* #812: Mangled e-mail in welcome message (malanciault)
* #848: Symlink for blocksadmin is created with the wrong language constant (skenow)
* #845: installer writes not language values correct (phoenyx)
* #834: Installation images and document need updating (davidimpress)
* #844: symlink to content not available (realtherplima)
* #829: Installer: Spanish language link points to an old package (debianus)
* #827: Issues Discovered on RC Release Day (phoenyx)
* #837: Fix two language constants for HTMLPurifier (m0nty)
* #839: incorrect language constants for Purifier (m0nty)
* #835: Installation images and document need updating (malanciault)
* #833: SmartObject refferenes (skenow)
* #830: Protector Instructions (mrtheme)
* #828: Problem with Trunk rev 9567 (phoenyx)


=== ImpressCMS 1.2 RC 1 ===
Release date: 20 Nov 2009
Revision: 9581

* #48: unserialize() [function.unserialize]: Error (Phoenyx/skenow/Stranger)
* #824: Profile Blank Page after perms (phoenyx)
* #826: HTML Purifier options created incorrectly during upgrade (skenow)
* #820: ACP assigned as start page for all groups during upgrade (skenow/Stranger)
* #527: reCAPTCHA Mailhide (pesianstranger)
* #596: Plugin hiddencontent = problem with: Preferences Main >> Personalization >> Hide content tag (Phoenyx/Stranger/Sato)
* #805: system search template not ML compliant (Stranger/Underdog/Davidl2/Fiammybe)
* #646: missing language definition _MD_AM_DBUPDATED (image manager) (Stranger/Underdog)
* #823: Organizing language files (pesianstranger)
* #719: IPF: initial settings for uploader (mime other than image type) (phoenyx/skenow/Marcan)
* #821: HTMLpurifier cache path is not created during an upgrade (skenow)
* #789: installer + icmsConfig (skenow/Stranger/fiammybe)
* #784: Block admin - options are not available to edit (malanciault/Phoenyx/skenow/underdog/wtravel)
* #621: the layout of the social bookmark block should be changed as it is too wide (Phoenyx)
* #579: New block files causes modules not to function correctly (skenow)
* #747: I can not create a new category in the image Manager (skenow/Underdog)
* #748: Preferences: User Settings > Welcome Message is converted to HTML (underdog/skenow)
* #558: Make image manager use jQuery instead of prototype! (skenow/MrTheme)
* #404: Permission issues with image manager. (Underdog)
* #625: dhtml editor shows line breaks as html (maybe same as #624) (skenow/Underdog)
* #650: Image manager cannot handle bitmaps (skenow/Phoenyx)
* #803: installer do not copy the ".htaccess" from protector (Vaughan/Underdog)
* #793: blocks do not consider the gravatar (Phoenyx)
* #792: Old waiting content block is not properly deleted during upgrade (skenow)
* #811: Autotasks not allways execute oldest task that needs execution + autotask code check not working (mekdrop)
* #810: Autotasks doesn't work when site is turned off (mekdrop)
* #779: try add/remove autotasks for module when module has no autotasks items (mekdrop)
* #769: AUTOTASKS: crontab can't start but it displayed as avaible (mekdrop)
* #712: admin-theme: Warnung: Smarty error: unable to read resource (skenow)
* #802: Updating Protector in trunk to 3.4 (m0nty)
* #718: Upgrader: needs update to 1.2 (phoenyx/skenow/Stranger)
* #801: content menu does not show all items to anonymous users (wtravel)
* #795: Never, ever send clear text passwords in an email (skenow)
* #543: Block position bug - sort by title (nekro/skenow)
* #794: Missing HTMLPurifier options in upgrade (skenow)
* #758: Userrank - IPF improvements needed (skenow)
* #791: Error modifying table conf during upgrade (Phoenyx)
* #790: Admin Symlinks are not added during an upgrade (Phoenyx)
* #788: Admin Control Panel is empty after upgrade (Phoenyx)
* #787: Upgrade does not properly modify the imagecategory table (skenow)
* #783: OpenID + Content-Manager (Phoenyx)
* #751: cleanup admin preferences pages (Vaughan/Phoenyx)
* #777: debug not active unless guest access allowed (Vaughan)
* #776: search: system module (hassearch, installer) + hide modules if no results are there (phoenyx)


=== Impresscms 1.2 Beta ===
Release date: 5 Sep 2009
Revision: 9336

'''Added'''
* Added plugins/autotasks folder for storing autotasks systems (currently there is at.php, cron.php and internal.php handlers) (mekdrop)
* Added plugins/sourceeditors folder for Code Sources Editors (mekdrop)
* Added editarea source editor (mekdrop)
* Added autotasks preload (mekdrop)
* Added class/autotasks folder with base classes and interfaces for autotasks (iautotasksystem.php and icmsautotaskssystem.php) (mekdrop)
* Edited xoopseditor.inc.php and xoopseditor.php files in class folder. Added editor type support. For Example: if you specify source editor type, then source editor will be used. (mekdrop)
* Added modules/system/admin/autotasks - autotasks items administration (mekdrop)
* Added to modules/system/admin/preferences/main.php support for autotasksystem config field type (this form field show supported autotasks and installed system on current server)  (mekdrop)
* Added savingSystemAdminPreferencesItem preload event when saving system preferences items (params: array(conf_catid, conf_name, conf_value)  (mekdrop)
* Added afterSaveSystemAdminPreferencesItems preload event after saving config (param - array of old and new values) (mekdrop)
* Added define('_MD_AM_AUTOTASKS', 'Auto Tasks'); to modules/system/language/english/admin.php (mekdrop)
* Added define('XOOPS_SYSTEM_AUTOTASKS', 24); to modules/system/constants.php (mekdrop)
* Added some language constants to modules/system/language/english/admin/preferences.php (mekdrop)
* Added include/autotasks.php file (mekdrop)
* Added some lines to modules/system/admin/modulesadmin/main.php and to modules/system/admin/modulesadmin/modulesadmin.php for handling autotasks variables in xoops_version.php  (mekdrop)
* added to modules/system/language/english/admin/preferences.php new constants _MD_AM_SRCEDITOR_DEFAULT and _MD_AM_SRCEDITOR_DEFAULT_DESC  (mekdrop)
* added preferences option for selecting default sourceeditor (mekdrop)
* added editor_source form field type to preferences and modified editor type field displaying method (mekdrop)
* added source edit support for xoopslist class (mekdrop)
* added XOOPS_SYSTEM_AUTOTASKS to modules/system/constants.php (mekdrop)
* added _MI_SYSTEM_ADMENU25 to modules/system/language/english/modinfo.php (mekdrop)
* added Admin Config Preferences for HTMLPurifier Library. (vaughan)
* added New static protected class for uniquely dealing with Password related functions. (vaughan)
* #338: imProfile: added security level for tribes | ticket from addons (Phoenyx)
* added New installer. (MrTheme)
* #340: imProfile: added discussion feature to tribes | ticket from addons (Phoenyx)

'''Improved'''
* #714: Updated Smarty library to 2.6.26 (MrTheme)
* #751: cleanup admin preference pages, use tooltip boxes for form field descriptions. (vaughan/MrTheme)
* Modified icms_ipf_Handler: if no module specified system think it's not a module (mekdrop)
* #666: Update HTMLPurifier Library to 4.0.0. (vaughan)
* #652: icmsStopSpammer causes blank page when the stopforumspam.org site is unavailable. (vaughan)
* #562 as part of 562, created new class icms.class.password.php, removed old password functions from functions.php (vaughan)
* Updated Protector module to 3.34 (Gijoe, Vaughan)
* #698: we are now using the default system editor to edit the content for blocks (Phoenyx)
* #570: changed th font color in impresstheme and impresstheme_light from white to black to make it readable (Phoenyx)
* #576: templates will no longer be checked for modifications by default for performance reasons (Phoenyx)
* #705: Module name in module preferences breadcrumb is linked to module administration now (Phoenyx)
* #294: replaced scraps with system comment function in imProfile | ticket from addons (Phoenyx)
* #725: Update FCKeditor to version 2.6.4.1 (skenow)
* Update protector to version 3.36a beta (stranger)
* Update phpopenid library to 2.1.3
* Update TinyMCE to version 3.2.6 (stranger)
* Update simplepie to version 1.2 (stranger)
* Update PHPMailer to version 5.0.2 (stranger)
* Update tcpdf to version 4.7.003 (stranger)
* #766: IPF based module do no longer need to be updated after the installation (Phoenyx)

'''Fixed'''
* #754: removed deprecated html purifier leftovers that are no longer used with new system. (vaughan/phoenyx)
* #661: Uploader setPrefix may incorrectly assign filenames. (vaughan)
* #763: Unable to login with email address, function getLoginFromUserEmail created to retrieve login name from email. (vaughan)
* fixed class/icmsform/icmsform.php 723-728 lines (????) (mekdrop)
* #764: The user leave the installer with the footer link (sato-san)
* #759: icmsform fixed (sato-san)
* #334: Videolayer is over the jQuery pictures (sato-san)
* #249: Path to ICMS_IMAGES_SET_URL corrected (sato-san)
* #657: Icons for adsense, rating and mime-types (sato-san)
* #728: Link to delete a block correced (sato-san)
* #731: Recommends changed > modules/ added. (sato-san)
* #726: All words with language variables created from modules/system/admin/users/main.php  (sato-san)
* #548: Errors with class/theme.php (TheRplima)
* #636: search in the frontend works not (TheRplima)
* #587: banners.php with fatal error (TheRplima)
* #603: Filter for custom blocks in blocksadmin (TheRplima)
* #640: Version checker blank page when version file is not available (skenow)
* #653: wrong url to edit a block in group manager (Phoenyx)
* #242: email address isn't marked as required in the user form | ticket from addons (Phoenyx)
* #167: Location shows a Google Maps locator image even if no location is provided | ticket from addons (Phoenyx)
* #241: Fatal error: Class 'ProfileControlerTribes' not found when creating a comment on a tribe | ticket from addons (Phoenyx)
* #244: login_name in edituser.php is always 'login_name' | ticket from addons (Phoenyx)
* #166: some strange values for "settings" | ticket from addons (Phoenyx)
* #243: missing values for selection on comment and notification options | ticket from addons (Phoenyx)
* #656: make sure filename length is no longer than 30 chars in case the prefix is set (Phoenyx)
* #660: corrected typo in class/uploader.php (Phoenyx)
* #659: image manager now creates index.html for new categories (Phoenyx)
* #250: password is now marked as required in the user form | ticket from addons (Phoenyx)
* #614: moved wording from search template to language file and reworked search results (Phoenyx)
* #253: user_avatar for new users is now set to blank.gif using imProfile | ticket from addons (Phoenyx)
* #641: display issue: new member block is too wide (Phoenyx)
* #251: categories in imProfile can now be created | ticket from addons (Phoenyx)
* #254: fields are now listed in imProfile adminstration | ticket from addons (Phoenyx)
* #637: saving a block also saves the visible in positions now (Phoenyx)
* #240: displaying the latest pictures block or friends block (imProfile) no longer results in an error | ticket from addons (Phoenyx)
* #255: blocktemplates are now using profile as module dir name | ticket from addons (Phoenyx)
* #256: extracted language string from register.php in imProfile | ticket from addons (Phoenyx)
* #695: fixed backward compatibility bug with xoops_getbanner() (Phoenyx)
* #696: fixed parse error in icmsstopspammer.php (Phoenyx)
* #643: content can now be edited again (Phoenyx)
* #574: fixed xoopsCheckAll, xoopsCheckGroup, xoopsCheckAllElements using jQuery (Phoenyx)
* #645: fixed fatal error while parsing valid customtag php code (Phoenyx)
* #642: dhtmltextarea functions (bold, italic, smileys) are now working with and without jQuery (Phoenyx)
* #697: fixed issues in blocks admin (cloning blocks is working now) (Phoenyx)
* #622: fixed column width for column rate in ratings administration (Phoenyx)
* #462: all smilies are rendered properly now (Phoenyx)
* #655: control panel header is now displayed properly when updating a module (Phoenyx)
* #706: other languages than english are working for protector preferences now as well (Phoenyx)
* #269: audio files can now be added properly | ticket from addons (Phoenyx)
* #720: in case there is an error in doStoreFromDefaultForm, the correct message is shown to the user (Phoenyx)
* #301: removed creation of /uploads/profile/mp3 in imProfile | ticket from addons (Phoenyx)
* #300: a visit to a profile of another user is now loged | ticket from addons (Phoenyx)
* #303: links in the imProfile submenu are working properly now | ticket from addons (Phoenyx)
* #285: added a redirect header message for users who are not logged in | ticket from addons (wtravel)
* #304: you are now redirected to your profile page in case a user isn't found | ticket from addons (Phoenyx)
* #260: fixed redirect loop for non-admin users in imProfile | ticket from addons (Phoenyx)
* #722: description for image upload content area is now fully readable (IPF) (Phoenyx)
* #293: About page in imProfile is working properly now | ticket from addons (Phoenyx)
* #284: pictures, tribe pictures and audio files are now deleted together with the record | ticket from addons (Phoenyx)
* #291: Only fields set to editable can be edited in profile module | ticket from addons (wtravel)
* #309: imProfile: all tabs are highlighted according to the current page again | ticket from addons (Phoenyx)
* #737: $sortable for icms_ipf_view_Column is working now (Phoenyx)
* #310: imProfile: removed sort option from audio file, picture, tribe picture and youtube video | ticket from addons (Phoenyx)
* #311: imProfile: added some field descriptions for pictures and videos | ticket from addons (Phoenyx)
* #312: imProfile: tribeusers can now be added and deleted in the control panel | ticket from addons (Phoenyx)
* #316: imProfile: updated the sort order for the functions in the module admin menu | ticket from addons (Phoenyx)
* #315: imProfile: when deleting a tribe, all tribeusers for this tribe are also deleted | ticket from addons (Phoenyx)
* #738: don't show Delete checkbox in IcmsFormImageElement if object is new (Phoenyx)
* #317: imProfile: only downsize images (pictures and tribes) | ticket from addons (Phoenyx)
* #739: changed the order of checks in IcmsMediaUploader::upload to check mimetype and imagetype before checking image resolution (Phoenyx)
* #740: consider uploader result in doStoreFromDefaultForm to handle possible errors (Phoenyx)
* #328: imProfile: png's are now working for pictures and tribes | ticket from addons (Phoenyx)
* #713: fixed invalid argument warning in modulesadmin (installer and cp) (Phoenyx)
* #743: use XoopsFormText instead of IcmsFormTextElement in IcmsFormImageElement to build the url textfield (Phoenyx)
* #319: imProfile: sorting pictures, tribes, audio and video content by id descending by default | ticket from addons (Phoenyx)
* #745: make icms_mkdir create an index.html file (Phoenyx)
* #329: imProfile: hide new content form on other users pictures, audio and tribes page | ticket from addons (Phoenyx)
* #263: imProfile: users can select a picture as their avatar | ticket from addons (Phoenyx)
* #331: imProfile: make imProfile work for guests | ticket from addons (Phoenyx)
* #332: imProfile: removing duplicate and unnecessary js and css includes | ticket from addons (Phoenyx)
* #749: IPF: corrected wrong constructor name in IcmsFormUploadElement and caption (Phoenyx)
* #750: redirecting to index.php if social_mode of imProfile is on / to userinfo.php if social_mode is off (Phoenyx)
* #302: imProfile: redirecting from userinfo.php to index.php if social_mode is on | ticket from addons (Phoenyx)
* #752: SQL syntax error when upgrading to 1.1 (skenow)
* #337: imProfile: setting umode and uorder for new users according to system settings | ticket from addons (Phoenyx)
* #755: fixed wrong parameter handling in icms_form_Secure (Phoenyx)
* #727: Incorrect URL for tags in content manager (skenow)
* #758: IPF improvements to userrank admin
* #707: installer ... selection box on the right (MrTheme)
* #715: installer error - stage 11 (stranger)
* #715: installer error - stage 11 (stranger)
* #610: errors while disabling & uninstalling modules. (stranger)
* #652: icmsStopSpammer causes blank page when the stopforumspam.org site is unavailable (stranger)
* #664: installer error - stage 12 (stranger)
* #607: Fatal error - function declaration problem if Frameworks is present (stranger)
* #710: IPF issue: icmsformtextelement.php, icmsformtextelement.php, icmsformcheckelement.php (stranger)
* #733: Fatal error: Class 'icms_ipf_Object' not found in G:\xampp\htdocs\trunk\modules\system\admin\autotasks\class\autotasks.php on line 21 (stranger)
* #761: exiting redirect_header properly now (Phoenyx)
* #647: fixed module menu is not displayed on the admin page (mekdrop)
* #746: After the installation you dont have an autotask (stranger)
* #730: blocks can now be moved up an down correctly (Phoenyx)

===2009-06-20 : 1.2 Alpha 2.1 ===
'''Fixed'''
* #619: Parse error in /trust_path/modules/oninstall.php. (UnderDog)
* #626: trying to edit the "waiting contents" block results in: Fatal error: Call to undefined function b_system_waiting_edit(). (UnderDog)

===2009-06-05 : 1.2 Alpha 2 ===

'''Added'''
* #580: Adding protector as a part of core modules. (stranger)
* #253: The admin area should have an option to define what mime types the site on a whole or specific modules can use. (stranger)
* #598 New block to display user's bookmarks (skenow)
* Implementing Adsense manager into system admin. (stranger)
* Implementing Rating manager into system admin. (stranger)
* #580: Added protector module to installer with automatic replacement of it to modules path. (stranger)

'''Improved'''
* The module installer in installer. (stranger)
* Improved social bookmarks block. (stranger)
* Updated TCPDF to version 4.6.015. (stranger)
* Updated TinyMCE to Version 3.2.4.1. (stranger)
* Updated FCKEditor to Version 2.6.4. (stranger)
* Updated GESHI to Version 1.0.8.4. (stranger)
* Updated SimplePie to Version 1.1.3. (stranger)
* Updated JalaliJSCalendar to Version 1.4. (stranger)
* Groups forms can now use anonymous as well. (stranger)
* Global Captcha Instance. (stranger)
* Log renderer to show amount of included files and used memory. (stranger)
* Ranks manager runs based on IPF. (stranger)

'''Fixed'''
* #554: Enhancements to the IcmsForms class. (Nekro)
* #556: failed to open stream to file include/jalali.php: No such file or directory. (stranger)
* #557: Trying to get property of a non-object in icmspersistablecontroller.php on line 162. (stranger)
* #561: After user logs in redirect to new profile if profile module is activated. (stranger)
* #565: IPF is creating an upload folder for every item. (malanciault)
* #566: improve icons. (davidimpress)
* #567: change password doesn't work in improfile. (vaughan)
* #568: Error on symlink ordering... (Nekro)
* #582: Register New User Fails. (malanciault)
* #584: Change block edition popup title. (Nekro)
* #589: Fatal error: Call to a member function getGroups() on a non-object. (malanciault)
* #599: correcting variables in standard themes. (davidimpress)
* #606: Warning: Invalid argument supplied for foreach() in file /include/functions.php line 1836. (malanciault)
* #607: Parse error: syntax error, unexpected T_BOOLEAN_OR in /htdocs/class/uploader.php on line 472 (malanciault)
* #608: Errors updating blocks reported when updating a module
* #609: New system tables not being created when updating the system module
* #611: Mimetypes are now properly inserted to the table when updating the system module
* #301: editors: FCKeditor is default, but works not. (stranger)
* #605: Enable installation of Protector module during install wizard. (stranger)
* #602: invite.php without captcha = could lead to a security problem. (stranger)
* #610: Multilanguage support for timestamp. (mcdonald/stranger)
* #501: XoopsMediaUploader class not returning error on fail. (stranger)
* #618: errors while disabling & uninstalling modules. (stranger)
* #619: When trying to install ImpressCMS (it occurs when installing protector). (UnderDog)

===2009-05-05 : 1.2 Alpha===

'''Added'''
* meta_description & meta_keywords to content manager pages. (vaughan)
* seo URL in content manager changed from underscore to hyphen. (vaughan)
* extra parameter in uploader class setPrefix function to select whether a unique filename is created or whether just to add a prefix. (vaughan)
* Purifier Filters for GoogleVideo & Local Flash movies (movies that are stored locally on the same server as the site). (vaughan)
* TextSanitizer to admin users edit form, for sanitizing signature field when HTML is allowed. (vaughan)
* choice of xoopsFormTextArea or xoopsFormDHTMLTextArea to edit user form (signature) depends on whether HTML sig is allowed or not. (vaughan)
* Implementing SimplePie as a new library and IcmsSimpleRss extending it for ImpressCMS. (malanciault)
* Implementing icms_ipf_view_Single which provides an easy way to quickly display a single object information. (malanciault)
* Implementing icms_ipf_view_Tree extending icms_ipf_view_Table with the concept of nested objects. (malanciault)
* Implementing SimplePie as admin RSS. (stranger)
* Implementing icmsstopspammer to stop spammers. (stranger)
* smarty to change a theme&template between RTL and LTR. (stranger)
* smarty <{$smarty.const._GLOBAL_LEFT}> for templates. (stranger)
* smarty <{$smarty.const._GLOBAL_RIGHT}> for templates. (stranger)
* TinyMCE plugin icmsmlcontent. (stranger)
* Issues with ICMS Captcha Class. (stranger)
* New preferences category for captcha. (stranger)
* New preferences category for plugins. (stranger)
* New option for "Captcha mode" in preferences. (stranger)
* New option for "Case sensitive" in preferences. (stranger)
* New option for "Maximum attemps" in preferences. (stranger)
* New option for "Minimum attemps" in preferences. (stranger)
* New option for "Minimum font-size" in preferences. (stranger)
* New option for "Maximum font-size" in preferences. (stranger)
* New option for "Background type" in preferences. (stranger)
* New option for "image amounts" in preferences. (stranger)
* New option for "polygon points" in preferences. (stranger)
* New option for "check groups" in preferences. (stranger)
* We are now checking Groups that are free from Captcha, as opposed to groups which need captcha (malanciault)
* New option for "skip characters" in preferences. (stranger)
* New option for "disable captcha" in preferences. (stranger)
* New option for "removing inactive users" in preferences. (stranger)
* New option for "selecting codes highlighter" in preferences. (stranger)
* New option for "selecting GeSHi plugin" in preferences. (stranger)
* New Function "icms_conv_nr2local". (stranger)
* New Function "icms_conv_local2nr". (stranger)
* New Function "Icms_getMonthNameById". (stranger)
* New Function "div". (stranger)
* New Function "gregorian_to_jalali". (stranger)
* New Function "jalali_to_gregorian". (stranger)
* New Function "mstart". (stranger)
* New Function "lastday". (stranger)
* New Function "jmaketime". (stranger)
* New Function "jdate". (stranger)
* New Function "icms_getmodulehandler". (stranger)
* New tag which can we used in templates to switch language: change_lang_<lang> will produce the URL to swtich the current page to <lang> (malanciault)
* New Function 'icms_module_uninstall_'.$ModName (stranger)
* New Function 'icms_module_install_'.$ModName (stranger)
* New Function 'icms_module_update_'.$ModName (stranger)
* New Function 'getPhpListAsArray'. (stranger)
* New Function 'icmsCodeDecode_extended'. (stranger)
* New Function 'icmsloadExtension'. (stranger/phppp)
* New Function 'textsanitizer_geshi_highlight'. (stranger/phppp)
* New Function 'textsanitizer_php_highlight'. (stranger/phppp)
* New Function 'textsanitizer_syntaxhighlight'. (stranger)
* Smarty xoPageNav function. (Skalpa)
* simplepie library. (marcan)
* Geshi library. (stranger)
* Displayname features. (stranger)
* Config Option to enable/disable change of displayname by user. (stranger)
* Displayname field to installer. (stranger)
* Displayname to registration form. (stranger)
* FCKeditor. (skenow)
* Plugin feature for tex sanitizer. (stranger)
* PHP plugin for geshi. (stranger)
* CSS plugin for geshi. (stranger)
* JS plugin for geshi. (stranger)
* HTML plugin for geshi. (stranger)
* PHP code tag. (stranger)
* CSS code tag. (stranger)
* HTML code tag. (stranger)
* JS code tag. (stranger)
* Jalali converter to core. (stranger)
* Jalali converter to jalalijscalendar library. (stranger)
* Icmsmlcontent plugin in TinyMCE for multilanguage sites. (stranger)
* Recaptcha library. (stranger)
* Email protection methode using recaptcha. (stranger)
* Plugin manager using DataBase. (stranger)
* New config Option to select allowed plugins. (stranger)
* #21: Profile Module (stranger)
* #26: Search improvements (stranger/RLankford)
* #19: Themable administrative area (stranger/Nekro)
* #230: Installer Improvements. (stranger)
* #274: Smarty image resizer tag plugin. It inserts -and caches- resized copies of images as requested by the template (nachenko)
* #532: new function icms_buildCriteria() (malanciault)
* #533: new IcmsBreadcrumb class (malanciault)
* #535: icms_ipf_Object store and delete methods (malanciault)

'''Changed'''
* Identicon for Gravatar added (sato-san)
* Admin`s RSS feed to simplepie. (marcan/stranger)
* email protection option to a multiple option one. (stranger)
* impresstheme is using $icms_values. (stranger)
* in installer config settings, changed some settings to use textsarea instead of textarea. as was causing problems with those fields if URI's were entered etc. (vaughan)
* banner.swf (nadine/sato-san)

'''Improved'''
* #566: Improvement for profile, block position and block manager icons (david/MrTheme)
* #415:  Improvement to MultiLanguage php block (talon39/david)
* Ongoing additions to  API documentation.
* register.tpl mail template contains more user`s information. (stranger)
* adminactivate.tpl mail template contains more user`s information. (stranger)
* Updated TinyMCE to Version 3.2.1.1. (stranger)
* Updated TCPDF to version 4.5.014. (stranger)
* Captcha class. (stranger)
* Filters on group edit form to only allow options assigned to the current user
* Updated system to version 1.20. (stranger)
* Updated HTML Purifier library from 3.1.1 to 3.2.0 (vaughan)
* smarty values to make them use both $xoops_value and $icms_value. (stranger)
* Fixed issues in redirection in RTL mode. (stranger)
* Updated xoops_getcss to read rtl styles. (stranger)
* Method we use RTL. (stranger)
* Removed theme_rtl system at all. (stranger)
* Updated Snoopy from v1.2.3 to v1.2.4. (stranger)
* Added check to preferences, if closesite is true (site closed) it is no longer possible to change password encryption until site is reopened. (vaughan)
* ICMS Captcha Class. (stranger)
* Adding coumpound class when building the IcmsPersistabkeTable onbject. Now, instead of <td class="odd"> we will get <td class="<{$column.keyname}> odd"> which offrs much more granularity in the was we want individual columns to be displayed. (malanciault/jmorris)
* Improved Function "formatTimestamp" To use Jalali Calendar and use ext_date function. (stranger)
* Removing ucword() in icms_getLinkedUnameFromId() as we don't need to capitalized the first leter ofusername (malanciault/mcdonald3072)
* Implementing ICMS_SYSTEM_DBVERSION in include/version.php to centralized the definition of the latest dbversion of the system module (malanciault)
* Improving IcmsVersionChecker to use IcmsSimpleRss instead of Snoopy as we were having problems on some config (malanciault)
* #207: Updated jQuery JavaScript Library v1.3.1. (stranger)
* #299: Code is not w3c conform. (MrTheme)
* #271: option of unique filenames along with prefix in uploader. (vaughan/stranger)
* #286: missing the default language on profile-module. (stranger)
* #459: Using an extended waiting block. (GIJOE)
* #473: Updating JalaliJSCalendar to version 1.3. (stranger)
* #560: Ongoing process of cleaning up unused language constants(trabis/underdog)

'''Fixed'''
* #2161527: error in xoopsimagebrowser.php (real_therplima)
* #2176940: Can't change the theme using the block on user side (real_therplima)
* #2245090: Captcha being bypassed
* #2098718: Sortlinks on Customtag-Table with bad color (sato-san)
* #2245744: OpenID registration not possible from user.php (stranger)
* #2103517: Multilanguage tags & tables break translation (nachenko/malanciault)
* #2178956: Empty space when rank doesn't have an icon (malanciault)
* #2203239: Debugger stops icmsfeed (malanciault)
* #2207696: Blocksform: Cancel button not working (malanciault)
* #2215976: Character ' stripped out of website title (malanciault)
* #2259562: Edit front end blocks with wrong groups (malanciault/skenow)
* #2179432: Problem again with xoopsimagebrowser.php (real_therplima)
* #2316120: Giving some group access is a high security risk (skenow)
* #2324673: Content page edit button shown on user side for wrong groups (real_therplima)
* #2333245: Setting managed groups when creating a new group failed (skenow)
* #2353878: HTML editor for the disclaimer(felix)
* #2316581: When viewing comments in Threaded View it does not display the threads right and add's a > with the title twice (malanciault)
* #2181891: TinyMCE and XAMPP relative paths (nekro/malanciault)
* #2339182: Mail to User > missing checkbox (malanciault)
* #233: Translate the code comments of the file include/passwordquality.php (realtherplima)
* #183: Captcha bugs or enhancements ? (stranger)
* #176: RTL languages in redirects + icms constants for themes (stranger)
* #174: Use simplepie in admin RSS (stranger)
* #170: Images by language name (stranger)
* #84: Calendar button (stranger)
* #8: Source code editor with syntax highlighting (stranger)
* #239: Plugins javascript files not loaded in admin menu. (stranger)
* #256: Deleting inactive users after X days not working! (stranger)
* #28: New Image Manager (realtherplima)
* #235: Login is not possible after upgrading from any elder version to 1.2 (stranger)
* #171: SimplePie and IcmsSimpleRss (malanciault)
* #172: icms_ipf_view_Single (malanciault)
* #173: icms_ipf_view_Tree (malanciault)
* #175: comments to functions (vaughan)
* #260: default fields in profile module are too much. (stranger)
* #261: PDF not being generated with latest tcpdf. (stranger)
* #2: Bug in smarty.class.php. (stranger)
* #52: Empty Custom Block - Xoops2.3 Upgrad. (stranger)
* #259: Upgrade script from x2.2 and 2.3 for profile module. (stranger)
* #263: Upgrade script from smartprofile for profile module. (stranger)
* #264: function icms_copyr not working. (stranger)
* #266: smartprofile upgrade not successful. (stranger)
* #267: issues with plugin manager. (stranger)
* #268: The cache clear delete .svn folder in /cache and /template_c and svn update gets imposible. (stranger)
* #270: Parse error: syntax error, unexpected T_VARIABLE in \htdocs\include\functions.php on line 1914. (stranger)
* #282: "Users list" is hardcode on the template "profile_userlist.html". (stranger)
* #283: Profile works not with Gravatar. (stranger)
* #284: I can not upload any Avatar on the Profile-Module. (stranger)
* #285: DHTML-Editor: Icons is loading from different folders. (stranger)
* #288: Hardcode on: system_adm_imagemanager.html. (stranger)
* #324: admin.php language file of any given module are not loaded anymore. (malanciault)
* #3: TinyMCE: adv. imagemanager not working correctly. (realtherplima)
* #291: Block "social bookmarks" missing. (stranger)
* #378: installation fails. (stranger)
* #406: all errors are not shown in admin menu. (stranger)
* #466: Changing profile name to improfile. (stranger)
* #469: warning: error when submitting in admin personalization settings. (stranger)
* #468: undefined Constant (CUSTOMTAG) using French language in admin. (stranger)
* #472: Flagg for Japan added (we have language files). (sato-san)
* #379: Making profile module use the core jQuery library instead of its own. (stranger/nachenko)
* #474: When having profile module installed, system points to the core user's administration. (stranger)
* #465: User registration do not work!. (stranger)
* #37: iTheme as default theme of ImpressCMS. (stranger)
* #216: Signature destroyed the design. (stranger)
* #60: Date format more configurable. (stranger)
* #275: Upgrade Script issue from X 2.2.4 - Unable to register new users. (stranger)
* #482: JS files of plugin manage must not always be loaded. (stranger)
* #486: Improving cleaning folder's function to be more global. (stranger)
* #485: Admin panel after fresh install: Fatal error: Call to a member function render() on a non-object. (stranger)
* #484: Fresh install: theme changed after login. (stranger)
* #483: Fresh install: ImpressCMS Logo missing image. (stranger)
* #477: Improfile and the theme_select function. (stranger)
* #287: Protection works not on the Profile Module. (stranger)
* #147: Forgetting system_redirect.html. (Gijoe/stranger)
* #157: style.css should be the last line of the header. (stranger)
* #81: phpstats/webaliser. (stranger)
* #79: Automatic attempt to make mainfile readonly after install. (stranger)
* #5: Installer: Back button not always working in wizard. (stranger)
* #493: Make the redirect use plugin. (stranger)
* #43: Automation of removal of install folder. (stranger)
* #494: Error and Problem with IE7. (vaughan/stranger)
* #496: No Modules Menu in 1.2a. (MrTheme/stranger)
* #534: IPF: NonPersistableVar should not be displayed on SingleView by default (malanciault)
* #514: Duplicate language define _IMPRESSCMS_PREFS replaced with _PREFERENCES (mcdonald/skenow)
* #551: google analytic code is not loaded at the bottom of the page. (stranger)
* #550: Admin actions not being sanitized in profile module. (stranger)
* #83: persistent connection? y/n. (stranger)
* #522: Class 'wiImage' not found in editors\tinymce\jscripts\plugins\xoopsimagemanager\xoopsimagebrowser.php on line 411. (stranger)
* #519: Better identify installed/not installed modules in module administration. (Hisapapa/stranger)
* #498: answer in the scrapbook = blank page. (stranger)
* #98: Change Password. (stranger)
* #549: Password meter should become a select box in preferences again. (stranger)
* #480: Warning: Undefined index with ICMS 1.1.2Final. (63rd/stranger)
* #225: Preload - beforeDisplyTarea. (Nekro)
* #154: Error when enable censor words and word list is blank. (stranger)
* #526: missing _MD_AM_DTHEME_DESC. (stranger)
* #515: blocks - cannot edit type (realtherplima)

== Impresscms 1.1.2==

===2009-03-08 : 1.1.2 Final===

* Released 1.1.2 RC2 as Final

===2009-03-01 : 1.1.2 RC2===

'''Fixed'''
* #244: $HTTP_SERVER_VARS replaced with $_SERVER in checklogin.php (vaughan)
* #245: $HTTP_SERVER_VARS replaced with $_SERVER in common.php (vaughan)
* #246: <>\/ specialchars were being stripped from password fields unneccessarily. changed from stopXSS to filter_var() (and use FILTER_SANITIZE_URL) which sanitizes & escapes '<>&' and characters with ASCII value less than 32. (vaughan)
* #246: SMTPAuth not working - xoopsmultimailer was setting authentication type to ssl (skenow)
* #247: height & width attributes were being stripped from <img> elements. (vaughan)
* #257: Wrong blocks showed in the content manager pages when startpage = none. (realtherplima)
* #237: "Protect email addresses against SPAM?" - do not work. (stranger)
* #49: issue with multi language. (stranger)
* #273: xoThem Bug in Content.php. (stranger)
* #279: standard attributes (style, class, id) missing from anchor elements in purifier. (vaughan)
* #289:Lizenz Problem iTheme with .js file. (Nachenko/ stranger)
* #278: Missing Edit Button over Content Sites in Frontendview. (stranger)
* #293: The Update/Upgrade Script does not check the PHP-Version. (stranger)


'''Changed'''
* Updated HTMLPurifier Library from 3.2.0 to 3.3.0 (various bugfixes in the library including a bugfix in youtube filter). (vaughan) ===2009-01-31 : 1.1.2 RC===

===2009-01-31 : 1.1.2 RC===

'''Fixed'''
* #167: Issue when doubleclicking a link and unexpectedly getting logged out (PHP issue) (vaughan)
* #166: undefined index xoopsUserId in register.php (vaughan)
* #165: Register fails when disclaimer used & CAPTCHA enabled. (vaughan/rgriffith)
* #164: Activation key is not being sent along with the activation email when set to Activation by Admin. (vaughan)
* #162: The wrong version of purifier library was included. updated to 3.2.0 version. (vaughan)
* #163: Removed password from 'Reset Password' confirmation email (was changed in 1.1. Final but not carried to 1.1.1.) (vaughan)
* #161: Fatal Error in footer.php & header.php. (vaughan)
* #179: some preference settings are being sanitized inappropriately due to textarea being used instead of textsarea. (vaughan)
* #184: TextSanitizer to admin users edit form, for sanitizing signature field when HTML is allowed. (vaughan)
* #178: HTTP_GET_VARS used instead of $_GET['p'] in protection.php causing issues with email protection image. (thanks to hisapapa)
* #185: Blocks Positions admin not totaly secured (real_therplima)
* #193: Character ' stripped out of website title (malanciault)
* #195: Problem again with xoopsimagebrowser.php (real_therplima)
* #204: Mail to User > missing checkbox (malanciault)
* #188: Empty space when rank doesn't have an icon (malanciault)
* #192: Blocksform: Cancel button not working (malanciault)
* #203: TinyMCE and XAMPP relative paths (nekro/malanciault)
* #197: Setting managed groups when creating a new group failed (skenow)
* #187: Multilanguage tags & tables break translation (nachenko/malanciault)
* #168: No When viewing comments in Threaded View it does not display the threads right and add's a > with the title twice. (malanciault)
* #194: SourceForge item 2259562: Edit front end blocks with wrong groups. (malanciault/skenow)
* #196: Content page edit button shown on user side for wrong groups (real_therplima)
* #190: Debugger stops icmsfeed (malanciault)
* #201: HTML editor for the disclaimer (felix)
* #202: icms_db_icms_updater_Handler->_db change for icms_db_icms_updater_Handler->db (malanciault)
* #211: Call to undefined method XoopsLists::getfontlistasarray() in modules/system/admin/preferences/main.php on line 191 (vaughan)
* #169: captcha was being bypassed because it had been moved from libraries to class folder. (skenow)
* #199: Admin Side > Preferences Main > Personalization > Edit and Remove blocks from user side? settings not work. (algalochkin)
* #182: fixed a bug in pdf.php (pesian_stranger)
* #198: "Show ImpressCMS Project drop down menu?" needs to only affect admin side, not user side (malanciault)
* #224: Admin RSS feed was not UTF-8 compatible (malanciault)
* #228: Password field was missing the * even thought it is mandatory (malanciault)
* #228: Security code field was missing the * even thought it is mandatory (malanciault)

'''Improved'''
* #177: SMARTY updated to 2.6.22 (vaughan)
* #180: If site is closed, you are now unable to change password encryption. (previous caused issues as you couldn't access reset password page in order to reset your password after encryption change if the site was set to closed. which meant you could not login afterwards). (vaughan)
* #184: choice of xoopsFormTextArea or xoopsFormDHTMLTextArea to edit user form (signature) depends on whether HTML sig is allowed or not. (vaughan)
* #208: Databasefactory.php update (GIJoe) for latest protector module (3.30). (gijoe)
* #189: Improving IcmsVersionChecker to use IcmsSimpleRss instead of Snoopy as we were having problems on some config (malanciault)
* #224: Admin RSS now using SimplePie innstead of Snoopy (malanciault)

'''Added'''

* #189: Implementing SimplePie as a new library and IcmsSimpleRss extending it for ImpressCMS (malanciault)

== Impresscms 1.1.1==

===2008-12-29 : 1.1.1 Final===

'''Fixed'''
* #2424282: Notice: Undefined index: reg_i in file /admin.php line 41 (vaughan)
* Issue with icmscontent table always being updated when viewing content.php should only be the 'read x times' that is updated. (vaughan)

'''Improved'''
* #2354713: improving session regenerate method, as it wasn't working as it should. & causes conflict with formmail reported by Thomas. have changed the cookie name from PHPSESSID and renamed to custom session name or if not defined (or enabled) it uses 1st 10 chars from sitename. (vaughan)

===2008-12-12 : 1.1.1 RC2===

'''Fixed'''
* #2354713: Security issue in SESSION id (Fixation), previous fix caused problems with some users being logged out sporadically. (vaughan)
* XSS vulnerability in blocksadmin.php $_GET['selmod'], potential (but not necessarily vulnerable) exploit in $_GET['editor']. (GiJoe/vaughan)

===2008-12-2 : 1.1.1 RC===

'''Fixed'''
* #2354713: Security issue in SESSION id (vaughan/malanciault)
* #2300634: Blocks Positions admin not totaly secured (real_therplima/trabis)

'''Improved'''
* If an email notification is sent on PM, the user's email will appear in the From header if he has activated "Allow other users to view my email address" (malanciaut)

== Impresscms 1.1==

===2008-10-31 : 1.1 Final===

'''Fixed'''
* Issues with content menu in RTL. (stranger)
* Issues with registration not completed with passwordmeter. (stranger)
* Issues with too easy captcha configs. (stranger)
* #2190687: When saving a block, if $options was a multi-levels array, StopXSS was failing to save array. StopXSS is now recursive and will all levels of $text parameter if it's an array (malanciault)
* #2192679: Leading space in cache/index.html (dave_l)
* Fixed issues with spambots. (Frederick/stranger)
* Fixed issues multiple time stamps. (stranger)
* Fixed security issue in snoopy.php: http://secunia.com/Advisories/32361/ (thanks to Gijoe)
* Fixed issue on the pagination links of the image manager tinyMCE plugin.
* The WYSIWYG group permission per module was confused when trying to know if a user should have permission to use WYSIWYG when posting a comment in a module that had such permission (malanciault/real_therplima)
* Fixed a bug with RTL, if this is not implemented, we will have troubles while sending posts in some modules like newbb (stranger)

'''Added'''
* Stop Spam Registration class and its experimental use in extra/anti-spam/register.php (stranger/malanciault)

''Improved'''
* It is now possible to specify in which modules Webmasters can use WYSIWYG editor (malanciault)
* Automatically check the Enable HTML check box and uncheck the Enable Linebreaks when using TinyMCE in a comment post form (real_therplima)
* Improved the installer so it is now possible to install ImpressCMS even with safe_mode ON (vaughan)

===2008-10-17 : 1.1 RC 3===

'''Added'''
* Converter of 2.2.X to icms 1.0 then 1.1 (stranger/phppp)
* Converter of 2.3.X to icms 1.0 then 1.1 (stranger)
* TRUST_PATH to upgarder. (stranger)
* a checker to see if TRUST_PATH exists in adminmenu, if it doesn't it will prompt admins from accessing admin menu. (stranger)
* a checker to see if email address already exists in adminmenu. (stranger)

'''Improved'''
* Updated system to version 1.10. (stranger)
* Function icms_cleaning_write_folders. (stranger)
* Query execution during character set conversion

'''Fixed'''
* Issues with editors: switch from dhtml < > TinyMCE (sato-san)
* Issues with google analytic textform in admin menu. (stranger)
* Issues with Jalalijscalendar option in admin menu. (stranger)
* Issues with new templates not being inserted in system module. (stranger)
* Issues with Jalalijscalendar option in Persian language. (stranger)
* Issues with reset buttons. (mcdonald3072)
* When converting the db to another character set during an upgrade, the default values were being dropped if they were empty strings (skenow)
* Issues with Jalalijscalendar button in forms. (stranger)
* Issue with upgrader, blocks got twice inserted. (stranger)
* Issue with upgrader, blocks permissions were not inserted. (skenow/stranger)
* Issue with upgrader, system sub-module permissions were not inserted. (stranger)
* Issue with theme_rtl. (stranger)
* Issue with <{if $xoops_contents}>. (Vaughan/Trabis)
* Removed intermediate conversion of data to binary during db character set conversion, now the data integrity is improved

===2008-09-21 : 1.1 RC 2===

'''Added'''
* Adding movie filter in HTMLPurifier for Liveleak movies (vaughan)
* Adding movie filter in HTMLPurifier for vimeo movies (vaughan)
* Adding icms_form_Secure to create IcmsPersistable object form with a seucirty token. We will recommend to always use this within the IcmsPersistable Framework when not on the admin side (malanciault)
* Added option to select calendar type for forms. (stranger)
* Updated system to version 1.05. (stranger)

'''Improved'''
* Rendering of Google Analytics script and new script source from Google (skenow)

'''Fixed'''
* Warning: Value for HTML. Trusted is of invalid type, should be bool in file /libraries/htmlpurifier/HTMLPurifier.standalone.php line 1447 (vaughan)
* In HTMLPurifier $is_admin wasn't defined if $xoopsUser wasn't an existing object.(vaughan)
* In HTMPPurifier $xoopsUser undefined variable on line 130 (vaughan)
* Wrong smarty variable name in icms_ipf_Controller::handleObjectDeletionFromUserSide() (malanciault)
* In icms_db_icms_updater_Handler::upgradeObjectItem() when a TEXT field was created, a default value was set which is wrong. TEXT field can't have default value (malanciault)
* Closed comment tag in include/calendarjs.php that created a problem with IE (skenow)
* Undefined variable: ret in file /kernel/icmspersistablecontroller.php line 462 (malanciault)
* #2115835: Typo when checking if openid field existed in database update version 3 (malanciault)
* When the deafault selected theme was suddenly removed, blank page appeared. (stranger)
* Using impresstheme instead of default. (stranger)
* #2120445: Module block not showing when created on module update (real_therplima)
* Issues with dateform. (stranger)
* Issues with dateform in IE. (stranger/Ali Farhadi)

===2008-09-14 : 1.1 RC 1===

'''Added'''
* Added jalalijscalendar 1.2 . (stranger)
* agree box before upgrading to make sure of a backup. (stranger)
* added password can't contain username to pass check in admin edit user form. (vaughan)
* default template form usable by core feature or any modules - system_default_form.html (malanciault)
* new function to list all fonts (stranger)
* new function to generate pdfs (stranger)
* implementing beforePreviewTarea and afterPreviewTarea preload events (malanciault)
* implementing icms_ipf_seo_Object to manage SEO-enabled object within the IcmsPersistable Framework (malanciault)

'''Improved'''
* Improved how we use rtl in system. (stranger/real_therplima)
* Moved captcha to classes + some configurations were updated. (stranger)
* Updated TCPDF to version 4.0.023. (stranger)
* Removed warnings for unhandled global attribut in icms.htmlpurifier.php
* Time picker now works correctly with jalali (stranger/Ali Farhadi)
* Improving content manager page display to use displayTarea instead of previewTarea (malanciault)
* Changing sanitizeContentCss() to icms_sanitizeContentCss() (malanciault)
* #2011730: Installer: Check for phpOpenID requirements on install (malanciault/skenow)
* #2014053: Installer: Check for php5 on install (malanciault/skenow)
* #2091448: Installer: installation with safemode=on is not possible (malanciault/skenow)
* Correct implementation of TextEditor within IcmsForm, we are now using normal dhtmltarea as ImpressCMS will handle what editor needs to be displayed (malanciault)

'''Fixed'''
* Error: Expected ';' when viewing social_bookmars_links.php block in IE7. (mcdonald)
* pass_expired was not set to 0 after lost password request. (only happens if user uses lost password instead of reset password after encryption type is used). (vaughan)
* unable to login when using sha512 or whirlpool encryption.  hash produces 128 chars and db field is set to varchar(100). (vaughan)
* it was not possible to login using email address like v1.0 (vaughan)
* 2 errors with google meta tag and google analytics. (stranger)
* possible issue in modulesadmin/main.php (real_therplima/trabis)
* #2048746: SQL error when creating invites and system_customtags tables (Commerce)
* #2037989: Registration notification sent twice (real_therplima)
* bug with modules when calling editors. (stranger)
* bug "Cannot redeclare class XoopsFormCaptcha". (stranger)
* Language constants in icms_ipf_About feature (malanciault)
* bug with pdf generator. (stranger)
* bug Hidencontent doesn`t work with TinyMCE. (stranger)
* # 2090834: Customtag works not with TinyMCE and Custom HTML Blocks (malanciault)
* # 2090834: Customtag works not with TinyMCE and Content Manager (malanciault)
* # 2046097: RSS admin news no longer works  (malanciault)
* # 2046097: Upgrade script modified to update rss_local config with correct info (if value was not previously changed by user) (malanciault)
* #1969061: _AUTH_MSG_AUTH_METHOD = xoops. This message was not saying much to users so the word 'xoops' was changed to 'standard' login (malanciault)
* #1984939: Creating a new CustomTag: Undefined offset: 0 in file /kernel/icmspersistableobjecthandler.php line 262 (malanciault)
* #1984939: Creating a new CustomTag: Undefined variable: groups_value in file /class/icmsform/icmsform.php line 270 (malanciault)
* #2096670: Changed field types for meta_description and meta_keywords to only allow plain text
* Notice: Undefined variable: openid in file /modules/system/admin/users/main.php line 61. (stranger/malanciault)
* Fixed issues with inserting google meta tag. (stranger)
* Bug fixed in IcmsForm::render(): the id of the row was the same as the control. Now, the id of the row is <keyname>_row (malanciault)
* Bug fixed in icms_ipf_Controller::postDataToObject where date was not saved properly (malanciault)
* #2118948: Email Protection does not work (real_therplima)

===2008-08-08 : 1.1 Beta 1===

'''Added'''
* new plugin for tinymce. hiddencontent (luciorota/real_therplima/stranger)
* Password meter op on installation. (stranger/real_therplima)
* Upgrade script 1.0 --> 1.1beta. (stranger)
* new field to let user select if they want to sho their openid. (stranger)
* new warning to let users know about upgrading system module. (stranger)
* new warning to search if trust_path is defined. (stranger)
* new warning to let users know about protector with credits to GIJOE. (stranger)
* Upgrade script XOOPS2.2.x --> ImpressCMS. (stranger/phppp)
* function "_filterImgUrl" to module.sanitizer, to keep compatibility with D3 modules.. (stranger/minahito/hodaka)
* added 3 content alignments for dhtml text editor. (stranger)
* Upgrade script XOOPS2.3 --> ImpressCMS. (stranger)
* icms.css loads from the header. (stranger)
* pdf.php in language files. (stranger)
* system skips all folders with no theme.html. (nekro/stranger)
* new function: icms_utf8_strrev() - Allows reversing of strings for utf8 character sets. (vaughan)
* reset/expired password system - when encryption changed, pass is expired, you need to then reset your password before logging in. (vaughan)
* reset password page. user must enter registered email, username, current password & then enter new password in order to reset pass. (vaughan)
* improved language and template of the password rest feature (malanicault)
* addition of the pre-populated uname in the password reset form (malanciault)

'''Improved'''
* Updated TCPDF to version 4.0.009. (stranger)
* Formfield for OpenID, if OID is inactive users won't see it's fields. (stranger)
* Google Analytics is now being handled directly (without smartys). (stranger)
* some enhancements to password secureness. pass can not equal username, or uname in reverse or even contain username. (vaughan)
* finishing the implementation of xoops_footer in the footer of the site - adding it in redirect and site close template of the impresstheme (malanciault)

'''Changed'''
* after upgrade is done you'll get back to index to see if upgrade was successful. (stranger)
* moved preload file "protector.php" to extras. (stranger)
* xoops.css to icms.css. (stranger)
* xoops_rtl.css to icms_rtl.css. (stranger)
* xoops_rtl.js to icms_rtl.js. (stranger)
* Removed google_analytics smartys from themes. (stranger)

'''Fixed'''
* Could not upload avatar. (real_therplima/stranger)
* Fixed the isssue of password meter for RTL languages. (stranger)
* Fixed the isssues of installation for RTL languages. (stranger)
* Issue with PDF generator. (stranger)
* HTML Purifier is now properly using the trust path to create its cache data (Vaughan/malanciault)
* The installer was not properly creating the password hash of the administrator (Vaughan/real_therplima/malanciault)
* #1871202 (was not completely fixed) - Avatar and Karma (Fixed). (stranger)
* Issue with new hash generator, when replacing new core files. (stranger)
* Security Vulnerabilty (http://www.securityfocus.com/bid/30330) in modules/system/admin.php (Vaughan/Rodrigo/Wtravel)
* typo in htaccess.txt for error documents in error 500.. errpr.php should be error.php (Wizanda)
* #2037875 - theme block did not display theme names.
* #2037881 - SQL error when checking for protector module installation in Control Panel home.
* #1990271 - database charset can be set to ucs2 without generating any errors.
* #2038160 - custom tag admin functions now work properly.
* #2038233 - removed OpenID requirement when adding or editing users in admin area.
* #2043607 - fatal error when includes/functions.php was included again
* #2043612 - filtering of span tags from the rendering of the html
* #2043716 - content pages not displaying when using SEO feature

===2008-07-02 : 1.1 Alpha 2===

'''Added'''
* new icms.htmlpurifier.php class file, can now be called anytime in the same way as module.textsanitizer.php. (vaughan)
* new sanitizing functions in html purifier class. displayHTMLarea(), previewHTMLarea() & icms_escapeHTMLValue(). we can configure these in future. (vaughan)
* New encryption methods, admin can now select from multiple PW encryptions, such as: SHA256, SHA384, SHA512, Whirlpool etc. (vaughan)
* New option in control panel for hidden contents. (stranger)
* New date cases for our ext_date_function. (stranger)
* _CHARSET to function htmlSpecialChars() in module.textsanitizer, by default htmlspecialchars encodes/decodes using ISO unless charset is explicitly defined. (Vaughan/Stranger)
* New field type for Text Area. (stranger)
* New block for social bookmarking. (sato-san/stranger)
* New field type in installation proccess. (stranger)
* New function to improve converting to utf-8 (upgarde proccess). (stranger)
* New library for PDF. (stranger)
* New path definitions to easier include the PDF library. (stranger)
* Task # 1914769 Including PHP class for generating PDF documents, in the core. (stranger)
* New Language constants for the logger. (stranger)
* New page to introduce ImpressCMS after a clean installation. (stranger)
* New custom internal page/link directed to our introduce page. (stranger)
* New start page for ImpressCMS (our custom page). (stranger)
* Social bookmark block to be shown as default. (stranger)
* Search block to be shown as default. (stranger)
* Themes block to be shown as default. (stranger)
* 3 new plugins for tinymce. Xoopsimagemanager, XoopsEmotions, XoopsCodeQuote (luciorota/real_therplima)
* OpenID relying party now integrated in the core (malanciault)
* Implementation of the icms_ipf_registry_Handler allowing caching when fetching icms_ipf_Objects from the database (malanciault)
* new theme "iTheme" is now included (MrTheme)

'''Improved'''
* The size of pop-ups for TinyMCE. (sato-san)
* Made a suffix for shorten date cases, for servers with O.S windows . (stranger)
* Removing the logger out of array, now each part is running separately. (stranger)
* Xoops_rtl.css has been reformed to let the logger be rtl. (stranger)
* Updated PDF library to the latest version 3.1.000 (stranger)
* All 3 theme set to be selectable. (stranger)
* In footer.php, we are now including notificaton_select.php only when needed (wizanda/malanciault)
* Changing the way we call set_magic_quotes_runtime(0) to add @ before so if the function is not available or turned off in php.ini, we don't try to collect it (wizanda/malanciault)
* External links were not working externally. (vaughan)
* Modules unable to uninstall. (vaughan)
* Pictures for the Image-Manager (sato-san)
* Adding a condition before adding a preloadEvent to make sure the specified file is not "index.html" (malanciault)

'''Changed'''
* Small change with the term "Personalization" instead of "Personalisation". (malanciault)
* Encryption method in preferences to select field type instead of yesno. (vaughan)
* Replacing the string on the footer in the install process with date func. (stranger)
* updated htmlpurifier library from 3.1.0 rc1 to 3.1.1 Final (Standalone version) (vaughan)
* htmlpurifier now loaded only when icms.htmlpurifier.php class is instanciated rather than with preload. (vaughan)
* undoHtmlSpecialChars() now uses php 5 function, htmlspecialchars_decode($var, ENT_NOQUOTES, _CHARSET)  (vaughan/stranger)
* Logger terms like XOOPS have been changed to ICMS. (vaughan/stranger)

'''Fixed'''
* In the control panel, changing the top-left logo link to default to the home page of the site as discussed here http://lnk.in/5zvw . (stranger/malanciault))
* #1971839 - Undefined variable: key in \kernel\icmskernel.php on line 88. (trabis/malanciault)
* #1971844 - Undefined variable: urls in kernel\icmskernel.php on line 93. (trabis/malanciault)
* #1969064 - edit the blocks from frontend. (real_therplima)
* #1968351 - Personalisation preferences name in english. (stranger)
* #1968350 - Make the [hide] tag optional and turned off by default. (stranger)
* #1964821 - Sorting of "Site Preferences". (real_therplima)
* #1964817 - Hardcodevariable on "content_blocks.php". (stranger)
* #1964812 - e-mail protection and userinfo.php. (stranger)
* #1964440 - e-mail protection and content. (stranger)
* #1971202 - Hide Salt Key on step 9. (vaughan)
* Corrected language constant: "_BRDDRMB_SEP", changed to : "_BRDCRMB_SEP". (stranger/skenow)
* #1954781 - When editing a block: Undefined variable: editor. (real_therplima)
* #1968311 - No update name module. (real_therplima)
* #1964815 - e-mail protection and blocks. (real_therplima/stranger)
* #1964823 - Content Manager > Title to display in Smartcontent. (real_therplima)
* #1968362 - Defines duplicated in two files blocksadmin and blocspadim. (real_therplima)
* #1971246 - Turning on phpDebug and Check templates for modifications. (real_therplima)
* #1964824 - tinymce does not use a language file. (real_therplima)
* #1980853 - Backend > Personalisation > JavaScript Error. (real_therplima)
* #1980999 - 1st Update in Multilanguage (undefined _MD_AM_DBUPDATED). (stranger)
* #1982512 - Undefined message in file /pmlite.php line 134. (stranger)
* #1982601 - Signature length needs to be defined by users. (stranger)
* #1871202 - Avatar and Karma. (stranger)
* #1980591 - install/makedata.php is hardcode. (stranger)
* #1986411 - (html) text not showing in signature and pm. (stranger)
* #1986035 - html purifier causing (encoding) problems with utf-8 language. (stranger)
* #1972006 - Notice and warning on updating Anonymous Group permissions. (real_therplima)
* #1984932 - Undefined variable: msg in file... (real_therplima)
* #1983318 - Bug in disclaimer + Multilanguage (user side). (real_therplima)
* #1986750 - Footer problems in ie6. (real_therplima)
* All language files of phpmailer, except English, have been removed. (stranger)
* All "Thumbs.db" files have been removed. (stranger/davidl2)
* Colation is not working with mysql 4.1.22 but with mysql>5. (trabis/stranger)
* #1964826 - missing DB_PCONNECT_HELP on install. (stranger)
* #1991855 - The cache-folder of HTMLPurifier after installation. (stranger)
* #1990733 - "Link Manager" saved not the module. (real_therplima)
* When user has logged in can register. (stranger)
* #1970777 - Smilie bug with dhtml-editor. (real_therplima)
* Fix a bug that not allow change the avatar. (real_therplima)
* #1978931 - Re-committed fix for bug (icetomyst)
* #2098379 a few fields were missing in users table on certain specific uprade path (malanciault)
* #2103607 Core Userside: _RETRYPOST is missing (session_confim) (malanciault)


===2008-05-22 : 1.1 Apha 1 ===

'''Added'''
* New permission category in System Admin > Groups to configure what groups can be configured by a specific group (nekro)
* IcmsFeed for module developers (nachenko)
* ImpressCMS now using UTF-8 encoding as default encoding.  (stranger)
* icms_createSalt function to generate a unique random salt key. (vaughan)
* icms_getUserSaltFromUname function to get the users unique salt key for logging in. (vaughan)
* icms_encryptPass function to add the salts & encrypt password using sha256 (vaughan)
* Unique Salt key to users table. (vaughan)
* Unique Salt key to mainfile/sdata trust path for use with Password encryption. (vaughan)
* enable sha256 choice in admin preferences user settings. default = yes sha256, no = md5 (basic). (vaughan)
* Prototype Library (Updated to the last version , and removed old prototype files from other places like install and scriptaculous library). (nekro)
* Projax Library to integrate better Scriptaculous in php. (nekro)
* The configuration to enable or disable the userinfo.php view by anonymous users. (nekro)
* Feature to select rights for different groups and modules for the debug. (nekro)
* Location for Third Party Libraries (malanciault/davidl2)
* Including Scriptaculous library
* Feature to select the editor in the preferences. (nekro)
* The XOOPS_EDITOR_PATH and XOOPS_EDITOR_URL constants. (nekro)
* The /editors folder. (nekro)
* The TinyMCE editor. (nekro)
* Feature to select in which modules the groups can use the editor. (real_therplima)
* Autoselection of system language depending the browser language configuration. (if multilanguage enabled). (nekro)
* New User Info config option to enable the mailing of a welcome message to new activated user (malanciault)
* New User Info config option to customize the welcome message to be send to new activated user (malanciault)
* icms_db_icms_updater_Handler object to easily perform database upgrade procedure (malanciault)
* New field in the icms_module_Object object, dbversion, which will track the version of the tables related to a module (malanciault)
* Implementation of the onUpdate event for the System module to allow easy database upgrades performed automatically while updating the System module (malanciault)
* Upgrade script from ImpressCMS 1.0 to ImpressCMS 1.1 which only adds the dbversion field to the modules table; after this upgrade has been performed, all database upgrades will be done automatically when updating the System module (malanciault/stranger)
* Addition of assigning language's css & Javascripts files to the template. (stranger)
* Addition of assigning/integrating a local date function in to the core, configurable through administration menu. (stranger)
* New module added in admin: Content manager that allow create content pages out of the box. (real_therplima)
* New module added in admin: Links manager that allow the admin create shortcuts to be used to show blocks and as start page of the site. (real_therplima)
* Addition of the editor select field in block form. Now you can select the editor you want to use into the allowed editors. (real_therplima)
* Enable a local date function in admin preferences settings. default = no. (stranger)
* Customized admin footer. (stranger/GibaPhp/Fabio Egas)
* Multilogin prohibition, this will check if somebody had previously logged in the site with your account. (stranger/real_therplima)
* Implementation of adding google analytics code (like smarty). (stranger)
* Implementation of adding google meta tag (like smarty). (stranger)
* Protecting Emails against SPAMMIng . (stranger/real_therplima)
* RSS URL for admin, with this option, you can define a local site on the list of . (stranger)
* CAPTCHA (task #145604). (stranger)
* using CAPTCHA on register/comment forms for guests/anonymous. (stranger)
* Password meter op on edit user and register form. (stranger/real_therplima)
* Addition for allowing webmaster to disable/enable signature of users on a site. (stranger)
* Addition for allowing webmaster to disable/enable of using html and external images on signatures of users of a site. (stranger/Hervet)
* Using GRAVATAR in Impresscms. (real_therplima)
* Option in System Preference to use GRAVATAR. (stranger)
* Option in System Preference to use extended date function. (stranger)
* Option in System Preference to use CAPTCHA in registration form. (stranger)
* Option in System Preference to use CAPTCHA in comments form (stranger)
* Option in System Preference to use custom footer for admin menu. (stranger)
* Option in System Preference to use html/image purifier for signatures. (stranger)
* Option in System Preference to enable/disable signatures. (stranger)
* Built in RTL style for administration menu. (stranger)
* Option in System Preference to Select the Admin Panel left Logo (real_therplima/marcan)
* Option in System Preference to Select the Admin Panel Right Logo (real_therplima/marcan)
* Option in System Preference to enable/disable the ImpressCMS Project drop down menu (real_therplima/marcan)
* Option in System Preference to enable/disable shortcut icons for block editing on block titles (stranger)
* Option in System Preference to Truncate url's (stranger)
* Option in System Preference to Select truncated url's length (stranger)
* Option in System Preference to Select truncated url's pre characteres length (stranger)
* Option in System Preference to Select truncated url's last characteres length (stranger)
* Ability to use theme_rtl.html for languages with a right to left style. (stranger)
* Use of theme.php in language files for an easier use of smartys in themes instead of hardcoded texts. (stranger)
* RTL to install process. (stranger)
* Feature #1957019: added logging hook. (dave_l)
* Hide tag, content in this tag will be hidden for anonymous users. (stranger)

'''Improved'''
* The pm form to use the selected editor. (real_therplima)
* XoopsTree::getNicePathFromId has new parameter, allowing specification of the separator between links (skenow)
* System admin page markup (skenow)
* Revamping the modules list in System Admin > Modules (mcdonald/real_therplima/davidl2/MrTheme)
* Added templates support for the blocks admin area and some icons to improve the userfriendly (real_therplima)
* Improve the System dropdown menu including subitems for the preferences (real_therplima)
* Smarty library (Updated to the lastest version 2.6.19) (real_therplima)
* The Block Positons feature was separated from the blocks admin and added to system as a new system module (real_therplima)
* Added possibility to change current encoding while upgrading. (stranger)
* Libraries default encoding is now UTF-8. (stranger)
* New smarty variables on themes for "google analytics code" and "google meta tag". (stranger)
* Changing fiih link (after upgrading) to a new place for updating system module, right after upgrading is done. (stranger)
* Improving the language constants of System Admin > Groups (malanciault)
* Added theme_rtl.html to all themes. (stranger)
* Admin templates to use their style from style files, to make icms more compatible with rtl languages. (stranger

'''Changed'''
* Moved the Smarty library from /class to /libraries. (nekro)
* Moved the PHPmailer library from /class to /libraries. (nekro)
* Textarea is now wider. Better to create blocks and editing of templates. (sato-san)
* PM-Popup size bigger. (sato-san)
* All instances of target="_blank" replaced with rel="external". (vaughan)

'''Fixed'''
*  #1899685 : Parse error: banners.php on line 226 (kurak_bu/nekro)
*  #1932374 : Changing the 100% width of table in xoops.css to make it 100% only for table.outer (malanciault/real_therplima)

== Impresscms 1.0 ==
===2008-03-10 : ImpressCMS 1.0 "Janus" Final===

'''Improved'''
*Updating the VersionChecker to handle situation where the impresscms_xml feed cann not be read (firewall, no internet access, etc...) (malanciault)
*In the VersionChecker, changed errors to an array and provided a the language constant as the error message - the version checker now reports correctly when it cannot find a valid version_xml (skenow)
*admin_version template (sato-san/davidl2)
*Syntax/grammar check in install wizard (andrewvincent/xoops-magazine)
*Syntax/grammar check in preferences (andrewvincent)
*Changing the links in About ImpressCMS admin menu for the links to open in new window (malanciaut)

'''Fixed'''
*Fixing the version checker to reinstate the code about module info popup (malanciault)

'''Added'''
*htmlspecialchars to $_GET['xoops_redirect'] parameter in user.php to prevent XSS. (vaughan/skenow)

===2008-03-04 : ImpressCMS 1.0 "Janus" RC 3===

'''Improved'''
* Improved system_redirect template in impresstheme theme (Snow/malanciault/Underdogg/davidl2)
* Improved system_siteclose template in impresstheme theme (Snow/malanciault/Underdogg/davidl2)
* Upgrade script has been improved to also clean the cache folder (malanciault/rplima)

'''Fixed'''
* #1905281 Redirect function not using the user selected theme (malanciault)
* the ImpressCMS logo used on impresstheme as well as in the admin section have been updated (nekro/MrTheme)

'''Added'''
* Addition of the global navigationlink in impresstheme theme (mcdonald/skenow/malanciault)
* Addition of the danish flag (anderssk)
* Addition of the persian flag (malanciault)
* definitions for ul and li in impresstheme (McDonald/snow/malanciault)
* New module added in admin: ImpressCMS Version Checker (malanciault/nekro/MrTheme/davidl2)
* A new Welcome custom block is now added by the install wizard to welcome the "not-yet-loged" user on the new site (malanciault/MrTheme/davidl2)
* A new Welcome custom block is now added by the install wizard to welcome the webmaster when loged in and to remind him some useful links to start his new ImpressCMS website (malanciault/MrTheme/davidl2)
* #1904910 A small anchor "new" in System Admin > Blocks so it becomes possible to link to modules/system/admin.php?fct=blocksadmin#new and get the user at the begining of the new block form (malanciault/drummond2)

===2008-02-24 : ImpressCMS 1.0 "Janus" RC 2===

'''Added'''
* New smarty variable now available, <{$icmsLang}> representing the selected language. For example, if French is the current language selected by the user, then the value of this variable will be "french". (malanciault/davidl2)

'''Fixed'''
*Revision 955: Display issues with impresstheme. (Snow)
* #1891588: Timezone offset empty (compatibility issue with versions of PHP aswell as operating system when using floats. (changed to an integer value instead). (vaughan / jegelstaff)
* #1892430: Typo in language/english/user.php (malanciault/jegelstaff)

===2008-02-07 : ImpressCMS 1.0 "Janus" RC===

'''Fixed'''
* #1890400 Can't register new user. (seems to be a mysql version compatibility issue) (vaughan)

===2008-02-01 : ImpressCMS 1.0 "Janus" Beta 2===

'''Fixed'''
* w3c validation in impresstheme and impresstheme_light (sato-san)
* #1870346 System blocks not visible to added group (skenow/dave_l)
* #1867922 No nice path from getNicePathFromId (MacDonald/malanciault)
* #1876797 the $tpl icms_view_Tpl object used in htdocs/cp_functions.php and htdocs/admin.php had a too generic name which was creating conflict (with AltSys for example). The variable name was renamed for $icsmAdminTpl (malanciault)
* #1875382 error in xoops.css (display: inline-block) (MacDonald/malanciault)
* #1881367 Problems in the queries executed when editing User Ranks (malanciault/vaughan)
* Adding a few @ in install/page_pathsettings.php to prevent the display of some errors that would confuse users (rplima/malanciault)
* #1872191 Small display bug in user.php (incama/malanciault)
* Local file inclusion (DSecRG/malanciault)
* URL Redirection Phishing (DSecRG/malanciault/fx2024)

===2008-01-08 : ImpressCMS 1.0 "Janus" Beta===

'''Added'''
* linkexternal.js to header, allows devs & designers to utilise 'rel="external" or rel="nofollow" in <A > tags as a replacement for target="_blank". (Vaughan)
* New admin interface based on XOOPS EXM and improved. Thanks to XOOPS EXM!. (BitC3R0 / malanciault / young-pee)
* Addition of the XoopsEditors framework with default editor (malanciault)
* Integration of the Easiest Multilanguage originally created by GIJOE (malanciault)
* Addition of Gijoe Remember me hack (malanciault)
* Added a new Database Driver (MySQLi). (young-pee)
* New feature to add/edit/delete blocks positions. (rplima/young-pee)
* New installer (skalpa/wtravel)
* Configuration of XOOPS_TRUST_PATH in intall wizard (malanciault)
* Saving the database information in a file inside trust_path if possible (malanciault)
* Upgrade script from XOOPS 2.0.18 (Vaughan/malanciault)
* Handling HTTP errors automatically on the site. (malanciault/young-pee)
* Creating a random DB prefix in instalation process like mentioned in feature request item #1848819 (real_therplima)
* New default theme : impresstheme created by aphex and snow (malanciault)
* Another theme : impresstheme_light created by nekro (malanciault)
* Ability to set & define your sites Privacy Policy from admin/preferences/user settings. (vaughan)
* New function to show warnings. Also added a new css class for that. xoops_warning() (young-pee)
* 4 new System warnings. 1 for Security and 3 for correct functionality of the system. (young-pee)
* The users can change they personal theme to be display when they change they profile. (young-pee)
* Added debugging functions included in the XOOPS boot process to allow easy output of debugging lines by core and modules developers (include/debug_functions.php) (malanciault)
* Configuration options to turn on or off and configure the Multilanguage on the site (malanciault)
* Integrating some flags image to be used by the multilanguage feature (malanicault)
* A system block to allow users to select their language (real_therplima)
* icms_copyr function to copy a folder an its content (malanciault)
* icms_mkdir function to create a folder (malanciault)
* icms_chmod function to chmode a file or folder (malanciault)
* pagetitles to user.php, register.php, search.php, userinfo.php (skenow, malanciault)
* PM notification by email if notification method is set to email (malanciault)

'''Changed'''
* The icons of /class/xoopseditor/dhtmlext/images/*.* (sato-san)
* Theme changes; Link to impressCMS, poweredby.gif (sato-san)
* Theme image; logo.png with impressCMS-Logo (sato-san)
* resource.db.php - changed for version by GiJoe (Andrew Vincent)
* Picture/Icon for impressCMS: icon_big.png (sato-san)
* Picture/Icon for impressCMS: icon_small.png (sato-san)
* Picture/Icon for impressCMS: logo.gif (sato-san)
* Picture/Icon for impressCMS: poweredby.gif (sato-san)
* Picture/Icon for impressCMS: poweredby.jpg (sato-san)
* Picture/Icon for impressCMS: s_poweredby.gif (sato-san)
* The official smilies had been changed by new ones. Thanks BaNaNa-BOi [http://banana-boi.deviantart.com] for the design. (davidl2 / young-pee)

'''Removed'''
* The 'Default' theme has been removed (malanciault)
* backend.php (dependent on news module)
* phpkaox and x2t themes

'''Improved'''
* When the User registration is Off... all links to register.php are not shown.
* The 'remember me' feature now can be enable and disabled (young-pee)
* Changing the Config options container from 60% to 50% #1849876 (malanciault)
* Auth Class Folder Organization. (young-pee)
* Database Class Folder Organization. (Needed for include more drivers) (young-pee)
* Improve the Modules dropdown menu including subitems of modules that have it (real_therplima)
* templates in system module for xHTML validation
* Banner and some ImpressCMS logos are change. Thanks drummond

'''Fixed'''
* #1854703 : mainfile.php was filled #213  (sato-san)
* #1851636 : Corrected error in profile administration in the admin side. (young-pee)
* #1852655 : Gzip warning in admin side. (young-pee)
* #1854527 : Corrected error updating user profile. (young-pee)
* Corrected a hardcoded route to the smarty classes. (young-pee)
* system templates corrected for validation, added title attributes to links and filled alt attributes for images. (skenow|kris_fr)
* #1851559 : Corrected a bug where it was unable to set block permissions in group settings (young-pee)
* #1851555 : Corrected a bug in the install script (young-pee)
* #1851361 : Changing the user block position to another position generated an error (young-pee)
* #1851442 : There was a PHP parser error in the modules admin (young-pee)
* #1851077 : Some texts were hardcoded in the login block and the user.php file (young-pee)
* #1851404 : Changed the xoopsblock.php file; the query for asking wich blocks are active was wrong formed; fixed deleting two ' from the query (young-pee)
* #1850759 : Fixing the left column of forms to a 30% width (malanciault)
* #1851361 : Block display disabled at a fresh install (young-pee)
* #1850054 : Notice: Use of undefined constant _US_SELECT_THEME in file /edituser.php (real_therplima)
* #1848916 : Removing the System Options title in Control Panel home (malanciault)
* #1848663 : _MD_AM_ML_NAMESDSC already defined (malanciault)
* #1849080 : RSS link to backend.php in theme.html (real_therplima)
* #1848177 : Icon small in /include/cp_functions.php (young-pee)
* #1848178 : Space between header and content removed (real_therplima)
* #1847782 : Block y/n not selected by default (real_therplima)
* #1858648 : Improve multilanguage config options (real_therplima)
* #1858923 : Modules DropDown menu must have submenus (real_therplima)
* #1864229 : Missing small icon for System (real_therplima)
* #1863118 : CSS-class 'cpicon' is too narrow (real_therplima)
* #1860254 : System templates not inserted on upgrade (real_therplima)
* #1855709 : Problems on block positions after fresh install (real_therplima)
* #1855498 : Modules admin doesn't reflect permissions (real_therplima)
* #1850242 : White page after changing language (real_therplima)
* #1863125 : no login possible through banners.php (real_therplima)
* #1863110 : Change the order of the remember me field on user settings (real_therplima)
* #1861592 : Step 2 out of 10 confusing chmod & spelling (real_therplima)
* Admin email no longer visible by default after install

==Working Changes : (Changes to be reverted or made definitive)==

* Security Audit : making sure that php header(location: ) redirects are followed with exit(); (protection from telnet vulnerability aswell as other instances where the page is viewed with a system that does not understand the 'header' function, it would skip the redirection page and continue displaying the rest of page. (Vaughan)
* Security Audit : making sure that sql query values are all encapsulated in single quotes, helps prevent SQLi. Added intval to values in sql queries that should only be an integer value. (Vaughan)

==Changes from : XOOPS 2.0.18 dev branch ==


'''Fixed'''
* _MA_USER_SENDMAIL not defined (Garrath/dugris)
* $modversion constant language truncated (zoullou/dugris)
* City renamed (young-pee)
* Grp memberships lost when user w. no Group perm edits user act (jegelstaff/dugris)
* mistake on RpcDateTimeHandle (Garrath/dugris)
* Do not display the comment form if the option module "Allow anonymous post in comments?" is disabled (dugris)
* Check modules permissions before displaying "Recent comments blocks" (herve/dugris)
* Adding new parameters (width, height, max file size) for uploading ranks (dugris)
* cannot herit methods from kernel's class (Garrath/dugris)
* Corrected a line hardcoded (young-pee)
* Making sure params used in queries are properly sanitized with intval() when they are integer (herve/malanciault)
* In icms_member_user_Object::getUnameFromId, if usereal, then making sure the real name is not just an empty space (herve/malanciault)
* XoopsTree::getNicePathFromId Add separator only if necessary (dugris)
* Check if $_SERVER[$key] AND $_ENV[$key] exists before turning over the value (xoops_getenv) (dugris)

'''Improved'''
* XoopsSecurity, personalize the variable of session and the variable of form (dugris)
